﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Valentia.Kinection.Configuration;

namespace Valentia.Kinection.Configuration.Manager
{
    /// <summary>
    /// Form used to add/update Kinect device
    /// </summary>
    public partial class frmAddUpdateKinectDevice : Form
    {
        #region Constructor

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="kinectDevice">Kinect device</param>
        public frmAddUpdateKinectDevice(KinectDevice kinectDevice)
        {
            InitializeComponent();

            if (kinectDevice != null)
            {
                this.Text = " Update Kinect Device";

                kinectDeviceControl.InitializeWithKinectDeviceData(kinectDevice);
            }
        }

        #endregion

    }
}
