﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Valentia.Kinection.Configuration;

namespace Valentia.Kinection.Configuration.Manager
{
    /// <summary>
    /// Form used to add/update Utility user
    /// </summary>
    public partial class frmInsertUpdateUtilityUser : Form
    {
        #region Constructor
        
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="utilityUser">Utility user</param>
        public frmInsertUpdateUtilityUser(UtilityUser utilityUser)
        {
            InitializeComponent();

            if (utilityUser != null)
            {
                utilityUserControl1.InitializeWithUtilityUserData(utilityUser);
                this.Text = "Update Utility User";
            }
        }

        #endregion

    }
}
