﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Linq;
using System.ServiceProcess;


namespace Valentia.Kinection.Watchdog
{
    [RunInstaller(true)]
    public partial class WatchdogInstaller : System.Configuration.Install.Installer
    {
        public WatchdogInstaller()
        {
            InitializeComponent();

            this.WatchdogServiceInstaller.ServiceName = WatchdogService.ThisServiceName;
            this.WatchdogServiceInstaller.DisplayName = WatchdogService.ThisServiceName;
            this.WatchdogServiceInstaller.Description = WatchdogService.ThisServiceName;
            this.WatchdogServiceInstaller.StartType = ServiceStartMode.Automatic;
            //this.MSKinectServiceInstaller.ServicesDependedOn = new String[] { "Winmgmt" };

            this.WatchdogProcessInstaller.Account = ServiceAccount.LocalSystem;
        }
    }
}
