﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Valentia.Kinection.Configuration;

namespace Valentia.Kinection.Configuration.Manager
{
    /// <summary>
    /// Form used to add/update service client 
    /// </summary>
    public partial class frmInsertUpdateDataUser : Form
    {
        #region Constructor

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="dataUser">Service client</param>
        public frmInsertUpdateDataUser(DataUser dataUser)
        {
            InitializeComponent();

            if (dataUser != null)
            {
                this.Text = "Update Service User";
                dataUserControl1.InitializeWithDataUserData(dataUser);
                
            }
        }

        #endregion
    }
}
